Package com.avaya.clientservices.messaging

## Interface MessagingParticipant

- All Superinterfaces:
    `Participant`

      public interface MessagingParticipant
      extends Participant

  Interface for all messaging participant related tasks and properties.

  Every participant of message is a registered user on the messaging server. It is basically the most important data about the participant of a conversation, used for not including the whole contact object. If a particular contact is available on the current user list, it can be obtained by the `Participant.getBestContactMatch()` method.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `DisplayOrder` | `getDisplayOrder()` | Get the participant name display order.
    `java.lang.String` | `getFirstName()` | Returns the first name for the participant.
    `java.lang.String` | `getLastName()` | Returns the last name for the participant.
    `java.util.Set<Modality>` | `getModalities()` | Get participant modalities.
    `java.util.List<MessagingParticipantPhoneNumber>` | `getPhoneNumbers()` | Returns list of all phone numbers.
    `MessagingParticipantSourceType` | `getSourceType()` | Returns the participant source type.
    `ParticipantType` | `getType()` | Returns the messaging participant type.
    `boolean` | `hasPicture()` | Indicates whether the participant has a picture.
    `void` | `retrievePicture​(MessagingParticipantRetrievePictureCompletionHandler completionHandler)` | Retrieves picture for the participant.

    - ### Methods inherited from interface com.avaya.clientservices.call.conference.Participant

      `addListener, getAddress, getAllPossibleContactMatches, getBestContactMatch, getDisplayName, getParticipantId, isLocalUser, removeListener, sendPrivateChatMessage`

- - ### Method Detail

    - #### getType

          ParticipantType getType()

      Returns the messaging participant type.
      Returns:
        the messaging participant type.

    - #### getFirstName

          java.lang.String getFirstName()

      Returns the first name for the participant.
      Returns:
        the first name for the participant.

    - #### getLastName

          java.lang.String getLastName()

      Returns the last name for the participant.
      Returns:
        the last name for the participant.

    - #### getDisplayOrder

          DisplayOrder getDisplayOrder()

      Get the participant name display order.
      Returns:
        the participant name display order.

    - #### getModalities

          java.util.Set<Modality> getModalities()

      Get participant modalities.
      Returns:
        participant modality.

    - #### hasPicture

          boolean hasPicture()

      Indicates whether the participant has a picture.
      Returns:
        true if the participant has picture, false otherwise.

    - #### retrievePicture

          void retrievePicture​(MessagingParticipantRetrievePictureCompletionHandler completionHandler)

      Retrieves picture for the participant.
      Parameters:
        `completionHandler` - The completion handler associated with this operation.

    - #### getSourceType

          MessagingParticipantSourceType getSourceType()

      Returns the participant source type.
      Returns:
        the participant source type.

    - #### getPhoneNumbers

          java.util.List<MessagingParticipantPhoneNumber> getPhoneNumbers()

      Returns list of all phone numbers.
      Returns:
        list of all phone numbers.